ContentScanningType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum ContentScanningType

- java.lang.Object
- - java.lang.Enum<ContentScanningType>
  - - tv.amwa.maj.enumeration.ContentScanningType

- All Implemented Interfaces:
    Serializable, Comparable<ContentScanningType>, MediaEnumerationValue

      public enum ContentScanningType
      extends Enum<ContentScanningType>
      implements MediaEnumerationValue

  For MPEG coded content, specifies if the scanning type of underlying coded content is known and, if it is, what kind of scanning type it is.

  See Also:
    `MPEGVideoDescriptor.getCodedContentScanning()`, `TypeDefinitions.ContentScanningType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Interlace` Interlaced scan.
    `Mixed` Content contains a mixture of progressive and interlace scanning.
    `NotKnown` Scanning type is not known.
    `Progressive` Progressive scan.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static ContentScanningType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContentScanningType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### NotKnown

          public static final ContentScanningType NotKnown

      Scanning type is not known.

    - #### Progressive

          public static final ContentScanningType Progressive

      Progressive scan. The lines of each video frame are drawn in sequence. See the Wikipedia entry for progressive scan.

    - #### Interlace

          public static final ContentScanningType Interlace

      Interlaced scan. The lines of each video frame are drawn alternatively, starting with all the odd lines and then all the even lines. See the Wikipedia entry for interlace.

    - #### Mixed

          public static final ContentScanningType Mixed

      Content contains a mixture of progressive and interlace scanning.

  - ### Method Detail

    - #### values

          public static ContentScanningType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContentScanningType c : ContentScanningType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContentScanningType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.